# Uses of Class
javax.crypto.SecretKeyFactory

Packages that use SecretKeyFactory
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of SecretKeyFactory in javax.crypto

Methods in javax.crypto that return SecretKeyFactory
Modifier and Type
Method
Description
`static SecretKeyFactory`
SecretKeyFactory.`getInstance​(String algorithm)`
Returns a `SecretKeyFactory` object that converts secret keys of the specified algorithm.
`static SecretKeyFactory`
SecretKeyFactory.`getInstance​(String algorithm, String provider)`
Returns a `SecretKeyFactory` object that converts secret keys of the specified algorithm.
`static SecretKeyFactory`
SecretKeyFactory.`getInstance​(String algorithm, Provider provider)`
Returns a `SecretKeyFactory` object that converts secret keys of the specified algorithm.